import '../internal/inner_headers.dart';

///
///
///
/// 多设备登录信息类。
///
class EMDeviceInfo {
  EMDeviceInfo._private(
    this.resource,
    this.deviceUUID,
    this.deviceName,
  );

  /// @nodoc
  Map toJson() {
    Map data = Map();
    data.putIfNotNull("resource", resource);
    data.putIfNotNull("deviceUUID", deviceUUID);
    data.putIfNotNull("deviceName", deviceName);

    return data;
  }

  /// @nodoc
  factory EMDeviceInfo.fromJson(Map map) {
    return EMDeviceInfo._private(
      map["resource"],
      map["deviceUUID"],
      map["deviceName"],
    );
  }

  ///
  ///
  ///
  /// 登录的其他设备的信息。
  ///
  final String? resource;

  ///
  ///
  ///
  /// 设备的 UUID（唯一标识码）。
  ///
  final String? deviceUUID;

  ///
  ///
  ///
  /// 设备型号，如 "Pixel 6 Pro"。
  ///
  final String? deviceName;
}
