import 'em_chat_enums.dart';

///
///
///
/// Reaction 操作。
///
class ReactionOperation {
  ///
  ///
  ///
  /// Reaction 操作。
  ///
  /// Param [userId] 操作者的用户 ID。
  ///
  /// Param [reaction] 发生变化的 Reaction。
  ///
  /// Param [operate] 具体 Reaction 操作类型。
  ///
  const ReactionOperation._private(
    this.userId,
    this.reaction,
    this.operate,
  );

  ///
  ///
  ///
  /// 操作者的用户 ID。
  ///
  final String userId;

  ///
  ///
  ///
  /// 发生变化的 Reaction。
  ///
  final String reaction;

  ///
  ///
  ///
  /// Reaction 操作类型。
  ///
  final ReactionOperate operate;

  /// @nodoc
  factory ReactionOperation.fromJson(Map map) {
    String userId = map["userId"];
    String reaction = map["reaction"];

    ReactionOperate operate = (map["operate"] ?? 0) == 0
        ? ReactionOperate.Remove
        : ReactionOperate.Add;

    return ReactionOperation._private(userId, reaction, operate);
  }
}
